<?php
echo $event->sender->menu->run();
// echo '<div>Step ' . $event->sender->currentStep . ' of ' . $event->sender->stepCount;
echo '<h3>' . $event->sender->getStepLabel($event->step) . '</h3>';

Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/keyreader.js');

?>
<div id="sourceText" style="display:none">Hea küll, ei tule päris punane vaip, jääkülm šampanja ja Hemingway, kes allkorrusel lobby-baari tühjaks joob, see tuleks nimega Ritz.</div>

<p style="display:block">Edasi liikumiseks palun trüki sisse järgnev tekst. Mõõdame Sinu ligikaudset trükkimiskiirust. Võta seda kui soojendusharjutust.
	<br/>Kui peaks juhtuma, et leht väljub fookusest või ilmub brauseri otsinguväli, siis (1.) vajuta Esc, (2.) kliki lehe keskel ja (3.) jätka trükkimist.</p>

<div id="excerptContainer"></div>

<?php

echo CHtml::tag('div', array('class' => 'form'), $form);


echo CHtml::form('', 'post', array('id' => 'errorForm'));
echo CHtml::hiddenField('PageError[message]', '', array('id' => 'errorFormMessage'));
echo CHtml::hiddenField('PageError[url]', '', array('id' => 'errorFormUrl'));
echo CHtml::hiddenField('PageError[linenumber]', '', array('id' => 'errorFormLineNumber'));
echo CHtml::hiddenField('PageError[useragent]', '', array('id' => 'errorFormUserAgent'));
echo CHtml::endForm();

?>

<script type='text/javascript'>
	Keyreader.take($('#sourceText'), $('#excerptContainer'));
	Keyreader.start($('#excerptContainer'), {'allowIncorrect': false});
	var pageStart = null;
	var pageEnd = null;

	$('#excerptContainer').on('firstLetter', function(event, data) {
		pageStart = (new Date()).getTime();
	});

	$('#excerptContainer').on('lastLetter', function(event, data) {
		pageEnd = (new Date()).getTime();
		$('#Challenge_duration').val((pageEnd - pageStart));
		$('#challengeForwardButton').prop('disabled', false);
	});

<?php
	if (defined('YII_DEBUG') && YII_DEBUG == true)	{
		echo "$('#challengeForwardButton').prop('disabled', false);";
	}
?>

	$(document).on('keypress', Keyreader.keyPressListener);
	$(document).on('keydown', Keyreader.keyDownListener);
	$(document).on('keyup', Keyreader.keyUpListener);

</script>
